View Issue Details

IDProjectCategoryView StatusLast Update
09093Development [All Projects] Securitypublic2018-06-29 10:52
ReporterDenisChenu Assigned Toc_schmitz  
PrioritylowSeverityminor 
Status feedbackResolutionopen 
Product Version 
Target VersionFixed in Version 
Summary09093: Bad page is shown if user deactivate cookie (not a security issue but linked with security)
Description

If user deactivate cookie: is not able to complete survey : it's not the problem. But there are no beautiful error shown

Steps To Reproduce

Deactivate cookie in your browser, lauch a survey :
Bad Request
The CSRF token could not be verified.

Additional Information

Think we just need to validate if cookie is set (by domain) and show an error on firstpage is not.
Maybe update the "The CSRF token could not be verified." like 404 too.

I know a very few user completely deactivate cookie, but when it's done : no error is shown.

TagsNo tags attached.

Relationships

related to 11963 feedbackLouisGac Feature requests 404 better managed by view 

Activities

Karel_UTwente

Karel_UTwente

2016-06-30 11:05

reporter   ~39811

Is there any progress on this issue?

In a production environment we desperately need a graceful failure state for this error.

halliballi123

halliballi123

2016-11-18 07:51

reporter   ~42040

We are facing the same issue. Any news on this?

DenisChenu

DenisChenu

2016-11-18 07:57

developer   ~42041

@halliballi123 : remind : it's onloy to show a page with 'default' look : color and style.
But exactly the same page.

halliballi123

halliballi123

2016-11-18 08:10

reporter   ~42043

Ok, thanks. Then I misunderstood the post.
I thought this can be deactivated somehow.

DenisChenu

DenisChenu

2016-11-18 09:06

developer   ~42044

It can : https://manual.limesurvey.org/Optional_settings#Request_settings

DenisChenu

DenisChenu

2016-11-30 08:20

developer   ~42278

With https://github.com/LimeSurvey/LimeSurvey/pull/605 : we can start to show something really adapted for us :)

DenisChenu

DenisChenu

2018-06-29 10:52

developer   ~48391

Fixed by https://github.com/LimeSurvey/LimeSurvey/pull/1089

Issue History

Date Modified Username Field Change
2014-06-16 15:51 DenisChenu New Issue
2014-06-16 15:56 DenisChenu Priority normal => low
2014-06-17 11:34 c_schmitz Project Bug reports => Development
2016-06-30 11:05 Karel_UTwente Note Added: 39811
2016-11-18 07:51 halliballi123 Note Added: 42040
2016-11-18 07:57 DenisChenu Note Added: 42041
2016-11-18 08:10 halliballi123 Note Added: 42043
2016-11-18 09:06 DenisChenu Note Added: 42044
2016-11-30 08:20 DenisChenu Relationship added related to 11963
2016-11-30 08:20 DenisChenu Note Added: 42278
2018-06-29 10:52 DenisChenu Assigned To => c_schmitz
2018-06-29 10:52 DenisChenu Status new => feedback
2018-06-29 10:52 DenisChenu Note Added: 48391